2017年7月尾的时候 Ghost 博客平台发布了 CLI 安装、升级博客更容易了。

0.x 版本的没法直接升级,只能导出原来的博客文章,安装新的 Ghost 1.x 后再导入原本的文章。

但这些都不是今天要说的话题,最近怎么升级都遇到什么 DB migrate 失败,what the。。。

官方解答都没遇到这些问题呢,黑人问号❓找了很久都没答案。。。博客要永远挂了吗?

终极答案

试了用 Yarn 安装 Ghost-CLI 解决了这个问题。

sudo yarn global add ghost-cli@latest

总结:npm 真垃圾,还是不能解决 deps 问题。